; kakukk1.inc: kakukk az öthanghoz, adsr nélkül. 
f4todo
	bcf	flag4
	goto	main1
f2todo
	bcf	flag2
	goto	main2	
; amikor a főprogram elágazik ide, többé nincs esélye f2-t és f4-et figyelni,
; így ezek megmaradnak negy számára
negy
	bsf	tilt	; gombfigyelés letiltva, bár úgyis kimaradna
	movlw	4
	movwf	sndnct	; szünettel kezdem a szignált, azért nem 7
	movlw	low sndtbl
	movwf	sndptr
	movlw	high 1049
	movwf	bh4
	movlw	low 1049
	movwf	bl4
	banksel	daccon1
	movlw	31
	movwf	daccon1
	banksel	0
nxt_snd
	call	ldsnd
w2ms
	sb	flag4
	goto	w2ms
	bcf	flag4
	decfsz	sndtctl,f
	goto	w2ms
	decfsz	sndtcth,f
	goto	w2ms
	decfsz	sndnct,f
	goto	nxt_snd
	clrf	ven
	bcf	tilt
	goto	negy	
	
ldsnd
	clrf	ven
	movlp	high sndtbl&0x7f
	movf	sndptr,w
	callw
	movwf	sndtcth	
	incf	sndptr,f
	movf	sndptr,w
	callw
	movwf	sndtctl
	incf	sndptr,f
	movf	sndptr,w
	callw	
	movwf	sndbuf
	andlw	7fh
	movwf	bh1
	snb	sndbuf,7
	bsf	v1en	
	incf	sndptr,f
	movf	sndptr,w
	callw
	movwf	bl1
	incf	sndptr,f
	movf	sndptr,w
	callw	
	movwf	sndbuf
	andlw	7fh
	movwf	bh2
	snb	sndbuf,7
	bsf	v2en	
	incf	sndptr,f
	movf	sndptr,w
	callw
	movwf	bl2
	incf	sndptr,f
	movf	sndptr,w
	callw	
	movwf	sndbuf
	andlw	7fh
	movwf	bh3
	snb	sndbuf,7
	bsf	v3en	
	incf	sndptr,f
	movf	sndptr,w
	callw
	movwf	bl3
	incf	sndptr,f
	pagesel $
	return
atir
	return
egy0
	goto main
egy1
	goto main

toltm		; induló frekvencia paraméterek töltése
	movlw	high 1093
	movwf	bh1
	movlw	low 1093
	movwf	bl1
	movlw	high 1093
	movwf	bh2
	movlw	low 1093
	movwf	bl2
	movlw	high 1093
	movwf	bh3
	movlw	low 1093
	movwf	bl3
	movlw	high 1049
	movwf	bh4
	movlw	low 1049
	movwf	bl4
	clrf	bll4
	movlw	high 1049
	movwf	bh5
	movlw	low 1049
	movwf	bl5
	return

harom
	goto main
ketto0
	goto main
ketto1	
	goto main

	